## -*- texinfo -*-
## @deftypefn {Function File} {} PlotDataAdd (@var{plotData}, @var{x}, @var{y})
## Add data to @var{plotData} object. @var{x} and @var{y} are matrixs with x and y data.
## @seealso{SvgPlotNew, SvgPlotDraw}
## @seealso{PlotDataNew, PlotDataAdd, PlotDataSetColor, PlotDataSetColorSymbol,  PlotDataSetSymbol, PlotDataSetGrid, PlotDataSetXLabel, PlotDataSetColorLine, PlotDataSetLine, PlotDataSetYLabel, PlotDataSetColor, PlotDataSetPlotTitle}
## @seealso{svgcanvasload, svgcanvassave, svgcanvas_delete_on_load}
## @end deftypefn

function [plotData]=PlotDataAdd(plotData, x, y)
	
	#eval('plotTitle;', 'plotTitle="";');
	plotTitle="";
	
	n=length(plotData)+1;
	plotData{n}.x=x;
	plotData{n}.y=y;
	plotData{n}.title=plotTitle;
	#eval('symbol;', 'symbol=plotData{1}.points(mod( n-1, length( plotData{1}.points ) ), : );');
	symbol=plotData{1}.points(mod( n-1, length( plotData{1}.points ) ), : );
	plotData{n}.symbol=symbol;
	plotData{n}.color=plotData{1}.colors( mod( n-1, length( plotData{1}.colors ) ), : );
	plotData{n}.symbolColor=plotData{1}.colors( mod( n-1, length( plotData{1}.colors ) ), : );
	plotData{n}.symbolScale=4.5;
	plotData{n}.line_style=1;
	
	xMin=min(x);
	xMax=max(x);
	
	if(plotData{1}.xMin==plotData{1}.xMax)
		plotData{1}.xMin=xMin;
		plotData{1}.xMax=xMax;
	else
		if(plotData{1}.xMin>xMin)
			plotData{1}.xMin=xMin;
		endif
		if(plotData{1}.xMax<xMax)
			plotData{1}.xMax=xMax;
		endif
	endif
	
	yMin=min(y);
	yMax=max(y);
	
	if(plotData{1}.yMin==plotData{1}.yMax)
		plotData{1}.yMin=yMin;
		plotData{1}.yMax=yMax;
	else
		if(plotData{1}.yMin>yMin)
			plotData{1}.yMin=yMin;
		endif
		if(plotData{1}.yMax<yMax)
			plotData{1}.yMax=yMax;
		endif
	endif
endfunction