## -*- texinfo -*-
## @deftypefn {Function File} {} SvgPlotNew (@var{fileName}, @var{width}, @var{height})
## Build new SvgPlot object. SvgPlot object is a file with a plot in svg file format. This file
## can be loaded in QtOctave using svgcanvasload.
## @var{fileName} is name of file to save svg plot.
## @var{width} Width of plot in pixels.
## @var{height} Height of plot in pixels.
## Files opened with SvgPlotNew must be closed with SvgPlotClose.
## @seealso{SvgPlotClose}
## @seealso{svgcanvasload, svgcanvassave, svgcanvas_delete_on_load}
## @end deftypefn


function [svgPlot]=SvgPlotNew(fileName, width, height)
	svgPlot.out=fopen(fileName, "w");
	eval('width;', 'width=800;');
	eval('height;', 'height=600;');
	svgPlot.width=width;
	svgPlot.height=height;
	svgPlot.foregroundColor='black';
	svgPlot.backgroundColor='white';
	svgPlot.lineWidth=1;
	svgPlot.font="Times";
	svgPlot.fontSize=12;
	out=svgPlot.out;
	fprintf(out, '<?xml version="1.0" standalone="yes"?>\n');
	fprintf(out, '<svg width="%d" height="%d" version="1.1">\n', svgPlot.width , svgPlot.height);
	fprintf(out, '<rect x="1" y="1" width="%d" height="%d" fill="white" stroke="black" stroke-width="1" />\n', svgPlot.width-1, svgPlot.height-1);
endfunction