## -*- texinfo -*-
## @deftypefn {Function File} {} SvgPlotPolyLine (@var{svgPlot}, @var{x}, @var{y}, @var{fill_ok})
## Plot polyline from (@var{x},@var{y}) vectors. If @var{fill_ok} is true, poly-line is closed and filled.
## @seealso{SvgPlotNew}
## @seealso{svgcanvasload, svgcanvassave, svgcanvas_delete_on_load}
## @end deftypefn

function [svgPlot]=SvgPlotPolyLine(svgPlot, x, y, fill_ok)
	out=svgPlot.out;
	if(fill_ok)
		fprintf(out, '<path d="M %d %d ', x(1), y(1) );
		fprintf(out, 'L %d %d ', [vec(x)(2:length(x)), vec(y)(2:length(y))]' );
		fprintf(out, ' z " fill="%s" stroke="%s" stroke-width="%f"/>\n', svgPlot.backgroundColor, svgPlot.foregroundColor, svgPlot.lineWidth );
	else
		fprintf(out, '<path d="M %d %d ', x(1), y(1) );
		fprintf(out, 'L %d %d ', [vec(x)(2:length(x)), vec(y)(2:length(y))]' );
		fprintf(out, '" fill="none" stroke="%s" stroke-width="%f"/>\n', svgPlot.foregroundColor, svgPlot.lineWidth );
	endif
endfunction